> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Threads Profiles

> Extract Threads profile details from usernames: follower count, bio, URLs, picture, and full name

`$4.7 / 1k profiles`

Extract Threads profile details from usernames: follower count, bio, URLs, picture, and full name

## Endpoint

`POST /api/v1/agents/threads/profiles/run`

## Parameters

<ParamField body="usernames" type="array" required>
  **List** · Threads usernames to scrape. One per line.
</ParamField>

## Response columns

| Field             | Display name      | Type    |
| ----------------- | ----------------- | ------- |
| `profileUrl`      | Profile URL       | url     |
| `username`        | Username          | text    |
| `displayName`     | Display Name      | text    |
| `bio`             | Bio               | text    |
| `followers`       | Followers         | number  |
| `verified`        | Verified          | boolean |
| `private`         | Private           | boolean |
| `bioLink`         | Bio Link          | url     |
| `bioLinkVerified` | Bio Link Verified | boolean |
| `threadsBadge`    | Threads Badge     | boolean |
| `onThreads`       | On Threads        | boolean |
| `threadsPrivate`  | Threads Private   | boolean |
| `latestPostText`  | Latest Post Text  | text    |
| `latestPostLikes` | Latest Post Likes | number  |
| `latestPostAt`    | Latest Post At    | number  |
| `avatar`          | Avatar            | url     |
| `avatarHd`        | Avatar HD         | url     |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/threads/profiles/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "usernames": [
        "zuck",
        "mrbeast",
        "natgeo",
        "nasa",
        "google",
        "cnn",
        "nytimes",
        "guinnessworldrecords",
        "instagram",
        "sundarpichai"
      ]
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/threads/profiles/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "usernames": [
          "zuck",
          "mrbeast",
          "natgeo",
          "nasa",
          "google",
          "cnn",
          "nytimes",
          "guinnessworldrecords",
          "instagram",
          "sundarpichai"
      ]
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "profileUrl": "https://www.threads.net/@nytimes",
      "username": "nytimes",
      "displayName": "The New York Times",
      "bio": "In-depth, independent reporting to better understand the world, now on Threads.",
      "followers": 4591448,
      "verified": true,
      "private": false,
      "bioLink": null,
      "bioLinkVerified": null,
      "threadsBadge": true,
      "onThreads": true,
      "threadsPrivate": false,
      "latestPostText": null,
      "latestPostLikes": null,
      "latestPostAt": null,
      "avatar": "https://instagram.fmem1-1.fna.fbcdn.net/v/t51.2885-19/358027803_831551617930176_7923984927359078168_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby43MjAuYzIifQ&_nc_ht=instagram.fmem1-1.fna.fbcdn.net&_nc_cat=1&_nc_oc=Q6cZ2gGdGI46Xwegq9BMosS5wmYj1AbtH2UCS0OaLS7g6znDVFvO6rj7g7RHvDc1uRPMRjQ&_nc_ohc=YPhyqX2kcI8Q7kNvwGkdLOw&_nc_gid=OWsHHQrwgphdAeVe7fVLtQ&edm=APs17CUBAAAA&ccb=7-5&oh=00_Af7QkvatZQzvVoziWXT8_bw1-Ehc6XylYARK33pZd__rFQ&oe=69FD0E26&_nc_sid=10d13b",
      "avatarHd": null
    }
  ]
}
```
